View Issue Details

IDProjectCategoryView StatusLast Update
0008546Open CASCADEOCCT:Modeling Algorithmspublic2019-10-25 15:36
ReporterpkvAssigned Tomsv  
PrioritynormalSeveritytrivial 
Status assignedResolutionopen 
OSAll 
Summary0008546: The algorithm BRepTools_WireExplorer works wrong for the face attached
DescriptionUse the following Draw commands to reproduce the bug:

restore f
explode f w
# 1
explode f_1 e
# -> will be 6 edges (one seam edge, i.e total: 7 edges)
wexp f_1 f
# -> will be only 2 edges WEDGE_1, WEDGE_2 but must be 7 edges.
TagsNo tags attached.
Test case numberbugs modalg_7 bug8546

Attached Files

  • f.rar (44,818 bytes)
  • skv-OCC8546-v1.tgz (4,968 bytes)

Relationships

related to 0028674 assignednbv BRepTools_WireExplorer works unstable and does not return several edges 

Activities

2005-04-06 11:32

 

f.rar (44,818 bytes)

2005-09-20 08:28

 

skv-OCC8546-v1.tgz (4,968 bytes)

bugmaster

2016-09-16 16:32

administrator   ~0057870

Problem is reproduced on master from 2016-09-08

mkv

2017-09-18 14:13

tester   ~0070631

Problem is reproduced on the current master.

abv

2019-10-25 15:36

manager   ~0088598

Note that shape has been added into the database (bug8546_f.brep), but test was not added

Issue History

Date Modified Username Field Change
2005-04-06 13:47 bugmaster Assigned To bugmaster => pkv
2005-04-06 13:47 bugmaster Status new => assigned
2005-09-02 14:32 bugmaster Assigned To pkv => mkk
2005-09-15 15:18 mkk Assigned To mkk => skv
2005-09-20 10:29 skv Status assigned => resolved
2006-08-22 12:54 bugmaster Status resolved => assigned
2011-08-02 11:31 bugmaster Category OCCT:MOA => OCCT:Modeling Algorithms
2016-09-16 16:32 bugmaster Note Added: 0057870
2017-09-18 14:13 mkv Test case number => bugs modalg_7 bug8546
2017-09-18 14:13 mkv Note Added: 0070631
2017-09-18 14:13 mkv Assigned To skv =>
2017-09-18 14:13 mkv Fixed in Version EMPTY =>
2017-09-18 14:13 mkv Description Updated
2017-10-11 09:23 nbv Relationship added related to 0028674
2019-10-25 15:35 abv Assigned To => msv
2019-10-25 15:36 abv Note Added: 0088598